{ 1D_SLAB.PDE

    This problem analyzes heat flow in a slab using 1D cartesian coordinates.
}

TITLE 'Heat flow through an Insulating layer in 1D'

COORDINATES
  Cartesian1  { default coordinate is 'X' }

VARIABLES
  Phi       { the temperature }

DEFINITIONS
  K = 1     { default conductivity }
  R = 0.5       { insulator thickness }

EQUATIONS
  Phi: Div(-k*grad(phi)) = 0
 
BOUNDARIES
  REGION 1      { the total domain }
    START(-1)   POINT VALUE(Phi)=0  
    LINE TO (1) POINT VALUE(Phi)=1  
    { note: no 'close'! }
  REGION 2  'blob'  { the embedded layer }
    k = 0.001
    START (-R) LINE TO (R)

PLOTS
  ELEVATION(Phi) FROM (-1) to (1)

END "BTkREX1OhPOC6BWxESuaylMiR3coMt/W5bxqSq5O8m6xWc4As91LAaO3oI46QppM5qL158ppSUyXNix62mF9oHpeeif0j0Q+wcTio7alnZtyQoLbdo3RDbIXR1zRvDe8oj9fGNKwccHEb0z35ow1JUPRnBv3FhMrMMXCFWP+zcf"
