{ CUBE_OBJIMPORT.PDE

  This sample demonstrates the import of a bounding mesh in OBJ file format.
  It uses the MATERIALS and BOUNDARY CONDITIONS sections to tie names stated
  in the OBJ file to FlexPDE properties.

  The OBJ file contains :
    one object named 'cube' that will be bound to a material property set.
    two groups named 'left' and 'right' that will be bound to BC sets.
}
title 'Import OBJ Cube'

coordinates cartesian3

variables u

materials 'cube' : k=1

boundary conditions
  'left'  : value(u)=1
  'right' : value(u)=10

equations u: div(k*grad(u))=0

boundaries import OBJ 'cube.obj'

plots
  grid(x,y,z)
  grid(x,y) on z = 0.5
  contour(u) on z = 0.5
  elevation(u) from (0,0.5,0.5) to (1,0.5,0.5)

end "GSwvP8g11/KiqSk4FutO9s+2fikOota+Vb6fOD6tcSPNPai/lbEKsREVKi2mSBc1csgbUblAgQsQSfeliUwEWNcAGAyKpmFLSePAMqE1NofthKtHqZWaoMh0ZGwFItdTs7DjTAIbJTSLpI9BlWZMif4YouZGgeAvWZjwXMLLwb1"
