{ TUBEFACES_OBJIMPORT.PDE

  This sample demonstrates the import of a bounding mesh in OBJ file format.
  It uses the MATERIALS and BOUNDARY CONDITIONS sections to tie names stated
  in the OBJ file to FlexPDE properties.

  The OBJ file contains :
    one object named 'tube' that will be bound to a material property set.
    two groups named 'top' and 'bottom' that will be bound to BC sets.

  This mesh has some square cells on the sides that FlexPDE will
  automatically split into triangular cells during the mesh import.
}
title 'Import OBJ Tubefaces'

coordinates cartesian3

variables u

boundary conditions
  'bottom' : value(u) = 1
  'top'    : value(u) = 10

materials 'tube' : k=1

equations u: div(k*grad(u))=0

boundaries import OBJ 'tube_faces.obj'

plots
  grid(x,y,z)
  grid(x,z) on y=0
  contour(u) on y=0

end "NgOUVJo7ScO4NTjxkakqg8qulGleLsnX/1vLdSQbiJaELIgm73AOofIl19M+sz/1wU6CAEeRSUt/CiQl+UdsXxExF4fqAgI4CYaCcXh/cyercyFwCrnDqaey9oGgOdb4Mx1R3qGUGaGzziCvkV7CvKYmfucLI4kSt8yKaAKnJg6"
