{ DRUMHOLE.PDE 
 
   *******************************************************************
    This example is a modification of "Drumhead.pde", in which
    the vibrating membrane has a circular hole.
    *******************************************************************  
}
 
title "Vibrational modes of a drumhead with a hole"
 
select
    modes=8            { -- Define the number of vibrational modes desired.
                             The appearance of this selector tells FlexPDE
                             to perform an eigenvalue calculation }
 
variables
     u
 
equations             { -- the eigenvalue equation }
    U: div(grad(u)) + lambda*u   = 0
 
boundaries
    Region 1
        start(0,-1)
        value(u) = 0
            arc(center=0,0) angle 360
        start(0,-0.4)
        natural(u)=0
            arc(center=0,-0.2) angle=360
 
monitors              { -- repeated for all modes }
    contour(u)
 
plots                 { -- repeated for all modes }
    contour(u)
    surface(u)
 
end "G+x4rBn/E/CZQ2rBsRkf6AAQCX7GaQHGdCqEp5Aqy2axfWT7HxyIGpYGedcLO/l0JTVxMwXyORfJfcNMSfdGN4Lc3mK8YMEkc6At7DUHlsOfJiGjoQ09PReGSgbqv7cnQgbka5qKPHGDONgi1qQpN0r58OWtV7T/3xY7QMuJHYV"
