{  WAVEGUIDE20.PDE

   This problem solves for the Transverse-Electric modes of a T-septate
    rectangular waveguide.  It is a copy of WAVEGUIDE.PDE with more modes.
}
 
title "TE Waveguide"
 
select
  modes = 20        { This is the number of Eigenvalues desired. }
  ngrid=20          { we need enough density to resolve higer modes }
 
variables
  hz
 
definitions
  L = 2
  h = 0.5               ! half box height
  g = 0.01              ! half-guage of wall
  s = 0.3*L             ! septum depth
  tang = 0.1            ! half-width of tang
  Hx = -dx(Hz)
  Hy = -dy(Hz)
  Ex = Hy
  Ey = -Hx
 
equations
   Hz:  del2(Hz) + lambda*Hz = 0
 
constraints
  integral(Hz) = 0  { since Hz has only natural boundary conditions,
            we need to constrain the answer }
 
boundaries
  region 1
    start(0,0)
    natural(Hz) = 0     line to (L,0) to (L,1) to (0,1)  to (0,h+g)
    natural(Hz) = 0
        line to (s-g,h+g) to (s-g,h+g+tang) to (s+g,h+g+tang)
             to (s+g,h-g-tang) to (s-g,h-g-tang) to (s-g,h-g) to (0,h-g)
    line to close
 
monitors
  contour(Hz)
 
plots
  contour(Hz) painted
 
end "DSRIoVxf56oLFvIlU+QNt29k/WeLq9o0Tpi0YROQopZ2blcyqPTPj7M7jiV3XrZHzVZzSaJU273vxUIshCKTjn1CmbFtKlh6qa76+bDNsR6Hqo0WvpQv4uehT9XXHUvBBuczFNyYnDeIOy77Bti+elwBNJa06U4/Rr+3ZtWOt6w"
