
{  DIELECTRIC.PDE

    This problem shows the electrostatic potential and the electric field
    in a rectangular domain with an internal region in which the dielectric
    constant is fifty times that of the surrounding material.
    The electric field E is -grad(V), where V is the electrostatic potential.
    
    See also FIELDMAP.PDE
}

title 'Electrostatic Potential'

variables V

definitions
  eps = 1

equations
  div(eps*grad(V)) = 0		

boundaries
  region 1
    start (0,0)
    value(V) = 0    line to (1,0)
    natural(V) = 0  line to (1,1)
    value(V) = 100  line to (0,1)
    natural(V) = 0  line to close
  region 2
    eps = 50
    start (0.4,0.4)
    line to (0.8,0.4) to (0.8,0.8)
         to (0.6,0.8) to (0.6,0.6)
         to (0.4,0.6) to close

monitors
  contour(V) as 'Potential'

plots
  grid(x,y)
  contour(V) as 'Potential'
  vector(-dx(V),-dy(V)) as 'Electric Field'

end "LmLfIq5UKptkzP9gYITkM7DJcVTaxU8e6hiPwUDdAOTdxKTK1CRvstSF6SKJQyb73KPIlFLRlRQYudMgsyIg3r11gUUhBhMwJN2+TSwFc5KRV3BYzAa6LfoKUeaBrqI+gZn4hHpwQ4IxSjhkjuCmUnnPCINc01r+3C52tU2bS2y"
