{  POROUS.PDE  

  This problem describes the flow through an anisotropic porous foundation.
  It is taken from Zienkiewicz, "The Finite Element Method in Engineering Science",
  p. 305. 

}
 
title 'Anisotropic Porous flow'
 
variables
  pressure
 
definitions
  ky = 1
  kx = 4
 
equations
  pressure : dx(kx*dx(pressure)) + dy(ky*dy(pressure)) = 0
 
boundaries
  region 1
      start(0,0)
        natural(pressure)=0 line to (5,0) to (5,5)
        value(pressure)=0   line to (2,2)
        natural(pressure)=0 line to (2.5,2) to (2.5,1.95) to (1.95,1.95)
        value(pressure)=100 line to close

monitors
  contour(pressure)

plots
  contour(pressure)
  surface(pressure)

end "D5Al+FrIHSyXlQt9n6k0+S27lbGCCLgF6p+ICAji42zBtQKhDTXnH3I3etpF30FvL15DSJo8vBytzHmIBsy745+aQyf6Uga1Y5o9A0wYZjV5D73Dqhb8zxU+r0EE2MSzQcvXdpKsnOKMxQ6qVfHek80XkV5ui9c8D3bHxlZuZ4y"
