{ 2D_SPHERE_IN_CYLINDER.PDE

  2D cylindrical (axi-symmetric) model of an empty sphere in a cylindrical box.

}
 
title '2D sphere in a can'
 
coordinates
    ycylinder("R","Z")  { vertical coordinate is cylinder axis }
 
variables
    u
 
definitions
    k = 1
    R0 = 1
    box = 2*R0
 
equations   
    U: div(k*grad(u)) = 0
 
boundaries
    region 1
        start(0,-box)
        value(u)=0 line to (box,-box)
        natural(u)=0 line to (box,box)
        value(u)=1 line to (0,box)
        natural(u)=0 line to (0,R0)     { cylindrical axis }
            arc(center=0,0) angle=-180  { spherical cutout }
            line to close               { cylindrical axis }
 
monitors
    grid(r,z)
    contour(u)
plots
    grid(r,z)
    contour(u)
 
end "IXsdW6BaVOYAAbtfNnRrNoCcrDXg9hb1C/BJ07GxoIxpkh7/tCmvaX3N4LqMZ7tqa5+sk0e/vp97zQ98wDIif2H/XqygIfqje7B9j0unPLyUH9OTYfPuL/xu55V8E/AJ47a2kN0iMqGNjfjns0jV31WodPZovNuH498sBfeW42+"
