{ CANINCAN_OBJIMPORT.PDE

  This sample demonstrates the import of a bounding mesh in OBJ file format.
  It uses the MATERIALS and BOUNDARY CONDITIONS sections to tie names stated
  in the OBJ file to FlexPDE properties.

  The OBJ file contains :
    one object named 'canincan' that will be bound to a material property set.
    two groups named 'inside' and 'outside' that will be bound to BC sets.
}

title 'Import OBJ can-in-can'

coordinates cartesian3

variables u

select regrid=off

materials
  'canincan' : k=1

boundary conditions
  'inside' : value(u)=1
  'outside': value(u)=10

equations u: div(k*grad(u))=0

boundaries import OBJ 'canincan.obj'

plots
  grid(x,y,z)
  grid(x,z) on y=0
  contour(u) on y=0

end "Lce7nWCC4DrZe7vgKp2TKC5dGWZhOOPf+JY5eYCkwq/Ml9lRYS3uymgrrTAnXtOSipN2B/U+BrsuDFCll4Kp9NTRLAbKEi2AqxSNvypvojX2Y1kGno8vBC+JF6ONA2v8f571RUygOWJX1P/nhuKnkD9ZXxA9MghtwzkO36kPjfg"
