{ HORN_OBJIMPORT.PDE

  This sample demonstrates the import of a bounding mesh in OBJ file format.
  It uses the MATERIALS and BOUNDARY CONDITIONS sections to tie names stated
  in the OBJ file to FlexPDE properties.

  The OBJ file contains :
    one object named 'horn' that will be bound to a material property set.
    four groups named 'tip1', 'tip2', 'tip3', and 'base' that will be bound to BC sets.
}
title 'Import OBJ Horn'

coordinates cartesian3

variables u

materials 'horn' : k = 10

boundary conditions
  'tip1' : value(u) = 1
  'tip2' : value(u) = 10
  'tip3' : value(u) = 100
  'base' : natural(u) = -10

equations u: div(k*grad(u))=0

boundaries import OBJ 'horn.obj'

plots
  grid(x,y,z)
  grid(x,z) on y=0
  contour(u) on y=0

end "DtTQi4tb+UyeQ5RF16V40F0ejVoJbkH5rDiOStluC+HBfUPAUBQQPsXL6i0RG/8pI3Xg2i31hkOLjXPZ428DeETN2w3hBU2QAqTwtNFBbBVRVqW/ILcRPLSWhDjUu+aUrFB5UzTeYFgSKwHlHdT95BHKPvHEq37xwPP7EZOxCwU"
