{ SINE_BOUNDARY_3D.PDE

  This example is a modification of SINE_BOUNDARY.PDE into 3D.
}
title 'Sine Boundary 3D'
coordinates cartesian3
variables u

definitions
  k = 1
  bottom = -1

initial values u=1

equations
  U: div(K*grad(u)) + 4 = 0

extrusion z = 0,1

boundaries
  Region 1
    start(-1,bottom)
      value(u)=0  
    line to (10,bottom)
      natural(u)=0
    line to (10,2)
      value(u)=1
    { create a boundary segment that follows the equation
      y = cos(pi*x)+1, and start moving in the -X direction. }
    curve (y = cos(pi*x)+1) by (-x) to (-1,0)  
      natural(u)=0  
    line to close

plots
  grid(x,y) on z=1/2
  contour(u)  on z=1/2
  surface(u)  on z=1/2
  elevation(u) from(-1,0,1/2) to (1,0,1/2)

end "G/YGFkNBGMMHlLOI+n2SY6slrCvza8FsdjiRdKTH+Sp2c1oabH0FNeqhV+8XJjTlE85v1ZH0muNYc/yG+SW8XHgE5oOZDwXY2mBXEt0ZcpH6nMMpnpxjZGV6GO3c7yDH8js0MotQGmilPjVrKd9PMIDesXmiyuw5hllWXHYYgJl"
