{ EXPORT.PDE

  This sample demonstrates the use of several forms of data export selectors.
  All exports use the default file naming conventions, which append modifiers
  to the problem name.

  A heat flow problem is solved on a square for example purposes.

}

title "Demonstrate forms of export"

variables
    Temp

definitions
    K = 1
    source = 4
    Texact = 1-x^2-y^2
    flux=magnitude(K*grad(Temp))

Initial values
    Temp = 0

equations
    Temp: div(K*grad(Temp)) + source = 0

boundaries
    Region 1
        start "BDRY" (-1,-1)
        value(Temp)=Texact
        line to (1,-1)
             to (1,1)
             to (-1,1)
             to close

monitors
    contour(Temp)

plots
    { this contour plot exports graphic images in four formats:
        ( notice that the BMP file is 46 times bigger than the other formats)  }
    contour(Temp) PNG EPS EMF BMP
    { export temperature and flux in NetCDF format }
    cdf(temp,flux)
    { export FlexPDE TABLE format }
    table(temp)
    { export temperature and flux in TecPlot format }
    tecplot(temp,flux)
    { export temperature and flux in linearized VTK format }
    vtklin(temp,flux)

{ this summary produces a text file that other scripts can read using the command:  #include "Tmax.inc" }
summary ("") export file="Tmax.inc"
   report(globalmax(Temp)) as "Tmax"
   { more reports could be included. }


end   "CKbjWblqAdhk5GAF+pCUF/L+Hi6yNdY2XUkH+ywtg/KW8VIoQ1hmUxCkZc3iOuAcx/87CBiILvQ6h8HQiTBpdhcVZVIHaGst9+geDA7sG81CpOip5XcIRfsTqLKisqI6gZECLmor9cI2kvdQ2QLKv62/aKlcL8rBjUMquvT8NtV"
