{ POST-PROCESSING.PDE

  This example demonstrates the use of the TRANSFERMESH facility to import
  both data and mesh structure from MESH_EXPORT.PDE and perform
  post-processing without gridding or solving any equations.

  This is easily accomplished in a step-wise process:
  1) make a copy of the script that generated the exported data
  2) remove the VARIABLES and EQUATIONS sections
  3) remove any boundary conditions stated in the BOUNDARIES section
  4) add the TRANSFERMESH statement in the DEFINITIONS section
  5) add any new plots that you desire

  Note that the domain structure must exactly match that of the exporting problem.

  MESH_EXPORT.PDE must be run before running this problem.

}

title 'Using TRANSFERMESH for post-processing'

definitions
    K = 1
    transfermesh('mesh_export_output/transferm.xfr',Temp)

boundaries
    Region 1
        start "OUTER" (0,0)
          line to(1,0)
          arc (center=0,0) to (0,1)
          line to close

        start "INNER" (0.4,0.2)
          arc (center=0.4,0.4)
             to (0.6,0.4)
             to (0.4,0.6)
             to (0.2,0.4)
             to close

plots
     grid(x,y)
     contour(Temp)
     contour(Temp) zoom(0.2,0.2,0.1,0.1)
     surface(Temp)
     vector(-K*dx(Temp),-K*dy(Temp)) as "Heat Flow"

end "Aj+m60mUprw+Z4IsPac/RyJIe+2ryKkpOMmTd+hMurZVN6RzC70xOC/4GXMw94IiFGICrmEvyG9pfa3Iv84O9lQLJBWiy5C9wlReAmQVlt7+aFNnnouIyzEcY+K8zFqYZrJoKKPTMAtcvP8NZQ1k8i67Gfb6j/gHFVGn5boMiNA"
