{ 3D_PLOTON.PDE

  This problem shows some of the possible 'ON' qualifiers for 3D plots.

}
 
title '3D Test  --  Plot Qualifiers'
 
coordinates
    cartesian3
 
Variables
    u
 
definitions
    k = 0.1
    heat = 4
 
equations
    U:     div(K*grad(u)) + heat   = 0
 
extrusion
    surface z = 0
    surface z = 0.8-0.3*(x^2+y^2)
    surface z = 1.0-0.3*(x^2+y^2)
 
boundaries
    region 1 'outer'
        layer 2 k = 1
        start(-1,-1)
            value(u) = 0
        line to (1,-1) to (1,1) to (-1,1) to close
    region 2 'plug'
        layer 2 k = 1
        start 'dot' (0.5,0.5) arc(center=0,0) angle=360
 
plots
     grid(x,y,z) on region 1 as "Only Region 1, both layers"
     grid(x,y,z) on region 'plug' on layer 2  as "Region 2 Layer 2"
     grid(x,y,z) on region 'plug' on layers 1,2 paintregions as "Region 2, both layers"
     grid(y,z)  on x=0 on 'plug'    as "Cut plane on region 2"
     contour(u) on x=0.51    on layer 2  as "Solution on X-cut in layer 2"  
     contour(u) on z=0.51   on  region 2  as "Solution on Z-cut in region 2"
     contour(u) on surface 2  on region 2          as "Solution on paraboloidal layer interface"
     vector(grad(u)) on surface 2 on 'outer'  as "Flux on layer interface in region 1"
 
end "A79N8VFTEQ6XexvIpScQms3XvhLIXttJ8i5bwdOhuQJ5Lq0EsRl6kzVEo+8YoT7GeSkw6Wz6yLcNluEQnyQFZhXTeu/RDJqIjEPZLL5pjQTjm4bjCZjwR9QcSPvCW/tz1i2GngytgHIDTTRi61tCv/SAuAfVWQ7DvRPir/FMHk9"
